WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.pricing
Interface Function

All Superinterfaces:
  webcab.lib.finance.options.pricing.FieldElement, webcab.lib.finance.options.pricing.MultidimF, webcab.lib.finance.options.pricing.RingElement

All Known Subinterfaces:
  KOrderDiff

public interface Function
extends webcab.lib.finance.options.pricing.MultidimF

Method Summary
`webcab.lib.finance.options.pricing.RingElement` `add_inv()`
`webcab.lib.finance.options.pricing.RingElement` `add(webcab.lib.finance.options.pricing.RingElement fe)`
`webcab.lib.finance.options.pricing.MultidimF` `comp(webcab.lib.finance.options.pricing.MultidimF[] f)`
`webcab.lib.finance.options.pricing.MultidimF` `compMulti(webcab.lib.finance.options.pricing.MultidimF[] f)`
`webcab.lib.finance.options.pricing.FieldElement` `div(webcab.lib.finance.options.pricing.FieldElement fe)`
`webcab.lib.finance.options.pricing.MultidimF` `extension(int newNVars, int[] shuffle)`
`int` `getNVariables()`
`double` `getValueAt(double x)`
`double` `getValueAt(double[] x)`
`Surface` `integrate(int timeSteps)`
`Function` `integrateFrom(double t0, int timeSteps)`
`boolean` `isFunction()`
`boolean` `isSubfield()`
`boolean` `isSurface()`
`webcab.lib.finance.options.pricing.FieldElement` `mul_inv()`
`webcab.lib.finance.options.pricing.RingElement` `mul(webcab.lib.finance.options.pricing.RingElement fe)`
`webcab.lib.finance.options.pricing.RingElement` `one()`
`webcab.lib.finance.options.pricing.RingElement` `sub(webcab.lib.finance.options.pricing.RingElement fe)`
`Function` `toFunction()`
`Surface` `toSurface()`
`webcab.lib.finance.options.pricing.RingElement` `zero()`

Method Detail

### getValueAt

    public double getValueAt(double x)
                      throws NotDefinedException

    `NotDefinedException`

### integrate

    public Surface integrate(int timeSteps)
                      throws EvaluationException

    `EvaluationException`

### integrateFrom

    public Function integrateFrom(double t0,
                                  int timeSteps)
                           throws EvaluationException

    `EvaluationException`

### getValueAt

    public double getValueAt(double[] x)
                      throws NotDefinedException

    `NotDefinedException`

### getNVariables

    public int getNVariables()

### comp

    public webcab.lib.finance.options.pricing.MultidimF comp(webcab.lib.finance.options.pricing.MultidimF[] f)
                                                      throws EvaluationException

    `EvaluationException`

### compMulti

    public webcab.lib.finance.options.pricing.MultidimF compMulti(webcab.lib.finance.options.pricing.MultidimF[] f)
                                                           throws EvaluationException

    `EvaluationException`

### extension

    public webcab.lib.finance.options.pricing.MultidimF extension(int newNVars,
                                                                  int[] shuffle)
                                                           throws EvaluationException

    `EvaluationException`

### isFunction

    public boolean isFunction()

### toFunction

    public Function toFunction()
                        throws EvaluationException

    `EvaluationException`

### isSurface

    public boolean isSurface()

### toSurface

    public Surface toSurface()

### mul_inv

    public webcab.lib.finance.options.pricing.FieldElement mul_inv()
                                                            throws EvaluationException

    `EvaluationException`

### div

    public webcab.lib.finance.options.pricing.FieldElement div(webcab.lib.finance.options.pricing.FieldElement fe)
                                                        throws EvaluationException

    `EvaluationException`

### isSubfield

    public boolean isSubfield()

### add

    public webcab.lib.finance.options.pricing.RingElement add(webcab.lib.finance.options.pricing.RingElement fe)
                                                       throws EvaluationException

    `EvaluationException`

### add_inv

    public webcab.lib.finance.options.pricing.RingElement add_inv()
                                                           throws EvaluationException

    `EvaluationException`

### sub

    public webcab.lib.finance.options.pricing.RingElement sub(webcab.lib.finance.options.pricing.RingElement fe)
                                                       throws EvaluationException

    `EvaluationException`

### zero

    public webcab.lib.finance.options.pricing.RingElement zero()
                                                        throws EvaluationException

    `EvaluationException`

### mul

    public webcab.lib.finance.options.pricing.RingElement mul(webcab.lib.finance.options.pricing.RingElement fe)
                                                       throws EvaluationException

    `EvaluationException`

### one

    public webcab.lib.finance.options.pricing.RingElement one()
                                                       throws EvaluationException

    `EvaluationException`

WebCab Options and Futures Demo v2.5 (J2SE Edition)